.TH "orte_proc_info_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_proc_info_t \- Process information structure.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <proc_info.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "orte_process_name_t * \fBmy_name\fP"
.br
.RI "\fIMy official process name. \fP"
.ti -1c
.RI "bool \fBsingleton\fP"
.br
.RI "\fII am a singleton. \fP"
.ti -1c
.RI "orte_vpid_t \fBvpid_start\fP"
.br
.RI "\fIstarting vpid for this job \fP"
.ti -1c
.RI "size_t \fBnum_procs\fP"
.br
.RI "\fInumber of processes in this job \fP"
.ti -1c
.RI "pid_t \fBpid\fP"
.br
.RI "\fILocal process ID for this process. \fP"
.ti -1c
.RI "bool \fBseed\fP"
.br
.RI "\fIIndicate whether or not this is seed daemon. \fP"
.ti -1c
.RI "bool \fBdaemon\fP"
.br
.RI "\fIIndicate whether or not I am a daemon. \fP"
.ti -1c
.RI "char * \fBns_replica_uri\fP"
.br
.RI "\fIcontact info for name services replica \fP"
.ti -1c
.RI "char * \fBgpr_replica_uri\fP"
.br
.RI "\fIcontact info for registry replica \fP"
.ti -1c
.RI "orte_process_name_t * \fBns_replica\fP"
.br
.RI "\fIName of my name server replica (NULL=>me). \fP"
.ti -1c
.RI "orte_process_name_t * \fBgpr_replica\fP"
.br
.RI "\fIName of my registry replica (NULL=>me). \fP"
.ti -1c
.RI "char * \fBtmpdir_base\fP"
.br
.RI "\fIBase directory of the session dir tree. \fP"
.ti -1c
.RI "char * \fBtop_session_dir\fP"
.br
.RI "\fITop-most directory of the session tree. \fP"
.ti -1c
.RI "char * \fBuniverse_session_dir\fP"
.br
.RI "\fILocation of universe temp dir. \fP"
.ti -1c
.RI "char * \fBjob_session_dir\fP"
.br
.RI "\fISession directory for job. \fP"
.ti -1c
.RI "char * \fBproc_session_dir\fP"
.br
.RI "\fISession directory for the process. \fP"
.ti -1c
.RI "char * \fBsock_stdin\fP"
.br
.RI "\fIPath name to temp file for stdin. \fP"
.ti -1c
.RI "char * \fBsock_stdout\fP"
.br
.RI "\fIPath name to temp file for stdout. \fP"
.ti -1c
.RI "char * \fBsock_stderr\fP"
.br
.RI "\fIPath name to temp file for stderr. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Process information structure. 

The orte_proc_info() function fills the pid field and obtains the process name, storing that information in the global structure. The structure also holds path names to the universe, job, and process session directories, and to the stdin, stdout, and stderr temp files - however, these are all initialized elsewhere. 
.PP
.SH "Field Documentation"
.PP 
.SS "char* \fBorte_proc_info_t::universe_session_dir\fP"
.PP
Location of universe temp dir. 
.PP
The session directory has the form <prefix><openmpi-sessions-user><universe>, where the prefix can either be provided by the user via the --tmpdir command-line flag, the use of one of several environmental variables, or else a default location.

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
